# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "luct"
version = "0.1.0"
authors = ["Leon Tan"]
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Comand line utility of the luct project"
homepage = "https://luct.dev"
readme = "README.md"
keywords = [
    "browser-extension",
    "certificates",
    "CA",
    "transparency-logs",
    "web-security",
]
categories = [
    "cryptography",
    "security",
    "visualization",
    "wasm",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/Sawchord/luct/"
resolver = "2"

[[bin]]
name = "luct"
path = "src/main.rs"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.clap]
version = "4"
features = [
    "derive",
    "derive",
]

[dependencies.eyre]
version = "0.6"

[dependencies.luct-client]
version = "0.1.0"

[dependencies.luct-core]
version = "0.1.0"

[dependencies.luct-scanner]
version = "0.1.0"

[dependencies.luct-store]
version = "0.1.0"

[dependencies.rustls]
version = "0.23"
features = ["std"]
default-features = false

[dependencies.rustls-platform-verifier]
version = "0.7"
default-features = false

[dependencies.rustls-rustcrypto]
version = "0.0.2-alpha"
features = ["alloc"]
default-features = false

[dependencies.serde_json]
version = "1"

[dependencies.tokio]
version = "1"
features = [
    "rt",
    "macros",
]

[dependencies.tracing]
version = "0.1"
features = ["log"]

[dependencies.tracing-subscriber]
version = "0.3"
features = [
    "env-filter",
    "fmt",
]

[dependencies.url]
version = "2"
features = ["serde"]
